Atomic File Reference
`#include <OpenThreads/Config>`
`#include <OpenThreads/Exports>`

Go to the source code of this file.

## Classes

class | OpenThreads::Atomic
| This class provides an atomic increment and decrement operation. More...
class | OpenThreads::AtomicPtr
| This class provides an atomic pointer assignment using cas operations. More...

## Namespaces

namespace | OpenThreads

## Macros

#define | _OPENTHREADS_ATOMIC_
#define | _OPENTHREADS_ATOMIC_INLINE inline

## Macro Definition Documentation

## _OPENTHREADS_ATOMIC_

#define _OPENTHREADS_ATOMIC_

## _OPENTHREADS_ATOMIC_INLINE

#define _OPENTHREADS_ATOMIC_INLINE inline